<?php

	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."class/config/config.class.php" );
	lt_include( PLOG_CLASS_PATH."class/dao/blogs.class.php" );

	class AdminPluginAdsSettingsView extends AdminPluginTemplatedView
	{
		function AdminPluginAdsSettingsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "ads", "settings" );
		}
		
		function render()
		{
			$config =& Config::getConfig();			
			$this->setValue( "pluginEnabled", $config->getValue( "plugin_ads_enabled" ));
			return( parent::render());
		}
	}
?>